org.apache.ignite.internal

## Class GridJobExecuteResponse

- java.lang.Object
- - org.apache.ignite.internal.GridJobExecuteResponse

All Implemented Interfaces:
  Serializable, Message

    public class GridJobExecuteResponse
    extends Object
    implements Message

Job execution response.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridJobExecuteResponse()` No-op constructor to support `Externalizable` interface.
`GridJobExecuteResponse(UUID nodeId, IgniteUuid sesId, IgniteUuid jobId, byte[] gridExBytes, IgniteException gridEx, byte[] resBytes, Object res, byte[] jobAttrsBytes, Map<Object,Object> jobAttrs, boolean isCancelled)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteException` `getException()`
`byte[]` `getExceptionBytes()`
`IgniteException` `getFakeException()`
`Map<Object,Object>` `getJobAttributes()`
`byte[]` `getJobAttributesBytes()`
`IgniteUuid` `getJobId()`
`Object` `getJobResult()`
`byte[]` `getJobResultBytes()`
`UUID` `getNodeId()`
`IgniteUuid` `getSessionId()`
`boolean` `isCancelled()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`void` `setFakeException(IgniteException fakeEx)`
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobExecuteResponse

    public GridJobExecuteResponse()

No-op constructor to support `Externalizable` interface. This constructor is not meant to be used for other purposes.

#### GridJobExecuteResponse

    public GridJobExecuteResponse(UUID nodeId,
                          IgniteUuid sesId,
                          IgniteUuid jobId,
                          byte[] gridExBytes,
                          IgniteException gridEx,
                          byte[] resBytes,
                          Object res,
                          byte[] jobAttrsBytes,
                          Map<Object,Object> jobAttrs,
                          boolean isCancelled)

Parameters:
  `nodeId` - Sender node ID.
  `sesId` - Task session ID
  `jobId` - Job ID.
  `gridExBytes` - Serialized grid exception.
  `gridEx` - Grid exception.
  `resBytes` - Serialized result.
  `res` - Result.
  `jobAttrsBytes` - Serialized job attributes.
  `jobAttrs` - Job attributes.
  `isCancelled` - Whether job was cancelled or not.

### Method Detail

#### getSessionId

    public IgniteUuid getSessionId()

Returns:
  Task session ID.

#### getJobId

    public IgniteUuid getJobId()

Returns:
  Job ID.

#### getJobResultBytes

    @Nullable
    public byte[] getJobResultBytes()

Returns:
  Serialized job result.

#### getJobResult

    @Nullable
    public Object getJobResult()

Returns:
  Job result.

#### getExceptionBytes

    @Nullable
    public byte[] getExceptionBytes()

Returns:
  Serialized job exception.

#### getException

    @Nullable
    public IgniteException getException()

Returns:
  Job exception.

#### getJobAttributesBytes

    @Nullable
    public byte[] getJobAttributesBytes()

Returns:
  Serialized job attributes.

#### getJobAttributes

    @Nullable
    public Map<Object,Object> getJobAttributes()

Returns:
  Job attributes.

#### isCancelled

    public boolean isCancelled()

Returns:
  Job cancellation status.

#### getNodeId

    public UUID getNodeId()

Returns:
  Sender node ID.

#### getFakeException

    public IgniteException getFakeException()

Returns:
  Fake exception.

#### setFakeException

    public void setFakeException(IgniteException fakeEx)

Parameters:
  `fakeEx` - Fake exception.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016